/*
 * LI18NUX2K.L1/gui/XFilterEvent/XFilterEvent.c
 * 
 * Copyright (c) 1991, 1992, 1997, 1998, 1999, 2001 X/Open Company Ltd.
 * (X/Open)
 * trading as The Open Group
 * Copyright (c) 2001, 2003 International Business Machines Corp.
 * All rights reserved except as granted by this License.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the "Artistic License" which comes with this
 * Kit, with the following modification:
 * a) "executable(s)" should be interpreted to include
 * "test case(s)"
 * b) if you wish to make changes as defined in clause 2 and 3, and
 * distribute a modified version of this package, then
 * clauses 3c and 4c are required
 * c) Clause 7 is rephrased as follows: "Subroutines supplied by you
 * and linked into this Package shall not be considered part of this
 * Package".
 *
 *
 * X/OPEN, TRADING AS THE OPEN GROUP, AND IBM CORP. DISCLAIM ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL X/OPEN OR IBM CORP. BE
 * LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * You should have received a copy of the Artistic License with this
 * Kit, in the file named "Artistic".  If not, we'll be glad to provide one.
 */

#include	<std.h>				/* tet starndard header */
#include	<dbug.h> 			/* DBUG* & PATH* functions */
#include	<report.h>			/* DELETION/FAILURE ... macro */
#include	<tet_api.h>			/* for using tet apis */
#include	<X11/Xlib.h>

private void	test1();			/* test function */
private	int	testfail;			/* for debugging */
private char    *testcomment;
private void	dummy();			/* test function */

#define NO_TESTS	1			/* number of testcases */
int	no_tests = NO_TESTS;			/* setting #testcases to global variable */
public 	void  	(*setfunc)()     = NULL;	/* function pointer for setup */
public 	void  	(*clnfunc)()     = NULL;	/* function pointer for cleaning up */
public	struct tet_testlist tet_testlist[] = {	/* tet global variable */
	test1, 1,
	NULL, 0
};

/* Verify that XFilterEvent is defined by `X11/Xlib.h' header file 
   and that XFilterEvent can link to the X11 library (libX11.a).  */
private void
test1()
{
  int  pathok = 0;
  char *desc = "Verify that XFilterEvent is defined by `X11/Xlib.h' header file"
	       "and that XFilterEvent can link to the X11 library (libX11.a).";

  DBUG_ENTER ("test1");
  tet_infoline (desc);

  globok = 1;
  PATH_TRACE;
  PATH_XS_RPT(1);
  DBUG_VOID_RETURN;
}

private void
dummy()
{
  XEvent* ev;
  Window w;

  XFilterEvent(ev, w);
}
