/*
 * LI18NUX2K.L1/utils/gencat/gencat_test.c
 * 
 * Copyright (c) 1991, 1992, 1997, 1998, 1999, 2001 X/Open Company Ltd.
 * (X/Open)
 * trading as The Open Group
 * Copyright (c) 2001, 2003 International Business Machines Corp.
 * All rights reserved except as granted by this License.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the "Artistic License" which comes with this
 * Kit, with the following modification:
 * a) "executable(s)" should be interpreted to include
 * "test case(s)"
 * b) if you wish to make changes as defined in clause 2 and 3, and
 * distribute a modified version of this package, then
 * clauses 3c and 4c are required
 * c) Clause 7 is rephrased as follows: "Subroutines supplied by you
 * and linked into this Package shall not be considered part of this
 * Package".
 *
 *
 * X/OPEN, TRADING AS THE OPEN GROUP, AND IBM CORP. DISCLAIM ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL X/OPEN OR IBM CORP. BE
 * LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * You should have received a copy of the Artistic License with this
 * Kit, in the file named "Artistic".  If not, we'll be glad to provide one.
 */

/*
 * messageformat.c
 *
 */

#include <stdio.h>
#include <locale.h>
#include <nl_types.h>
#define MSG_DISK_SET 1
#define MSG_DISK_NONE 1
#define MSG_DISK_ONE 2
#define MSG_DISK_NORMAL 3
#define MSG_DISK_TEXT 4

int
main ()
{
  nl_catd catd;
  char disk[4][15] = { "1st Disk", "2nd Disk", "3rd Disk", "4th Disk" };
  int  files[4] = { 0, 1, 367, 15 };
  int i, msgid;

  setlocale (LC_ALL, "");
  catd = catopen ("message.cat", NL_CAT_LOCALE);

  for (i=0; i<4; i++) {
    switch (files[i]) {
    case 0:
      msgid = MSG_DISK_NONE;
      break;
    case 1:
      msgid = MSG_DISK_ONE;
      break;
    case 15:
      msgid = MSG_DISK_TEXT;
      break;
    default:
      msgid = MSG_DISK_NORMAL;
      break;
    }
    printf (catgets (catd, MSG_DISK_SET, msgid, "The disk %2$s contains %1$d file(s)."), files[i], disk[i]);
    printf ("\n");
  }
  
  catclose (catd);
}
